Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Views/PushProgramDebuggerView.Designer.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Views/PushProgramDebuggerView.Designer.cs	(revision 14747)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Views/PushProgramDebuggerView.Designer.cs	(revision 14777)
@@ -314,27 +184,418 @@
             0});
       //
-      // runButton
-      //
-      this.runButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.runButton.Image = ((System.Drawing.Image)(resources.GetObject("runButton.Image")));
-      this.runButton.Location = new System.Drawing.Point(40, 698);
-      this.runButton.Name = "runButton";
-      this.runButton.Size = new System.Drawing.Size(28, 26);
-      this.runButton.TabIndex = 10;
-      this.toolTip.SetToolTip(this.runButton, "Run all instructions");
-      this.runButton.UseVisualStyleBackColor = true;
-      //
-      // skipNoopsCheckBox
-      //
-      this.skipNoopsCheckBox.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.skipNoopsCheckBox.AutoSize = true;
-      this.skipNoopsCheckBox.Checked = true;
-      this.skipNoopsCheckBox.CheckState = System.Windows.Forms.CheckState.Checked;
-      this.skipNoopsCheckBox.Location = new System.Drawing.Point(150, 704);
-      this.skipNoopsCheckBox.Name = "skipNoopsCheckBox";
-      this.skipNoopsCheckBox.Size = new System.Drawing.Size(81, 17);
-      this.skipNoopsCheckBox.TabIndex = 11;
-      this.skipNoopsCheckBox.Text = "Skip NOOP";
-      this.skipNoopsCheckBox.UseVisualStyleBackColor = true;
+      // resetButton
+      //
+      this.resetButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+      this.resetButton.Image = ((System.Drawing.Image)(resources.GetObject("resetButton.Image")));
+      this.resetButton.Location = new System.Drawing.Point(6, 640);
+      this.resetButton.Name = "resetButton";
+      this.resetButton.Size = new System.Drawing.Size(28, 26);
+      this.resetButton.TabIndex = 14;
+      this.toolTip.SetToolTip(this.resetButton, "Reset to start");
+      this.resetButton.UseVisualStyleBackColor = true;
+      //
+      // stepButton
+      //
+      this.stepButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+      this.stepButton.Image = ((System.Drawing.Image)(resources.GetObject("stepButton.Image")));
+      this.stepButton.Location = new System.Drawing.Point(112, 640);
+      this.stepButton.Name = "stepButton";
+      this.stepButton.Size = new System.Drawing.Size(28, 26);
+      this.stepButton.TabIndex = 13;
+      this.toolTip.SetToolTip(this.stepButton, "Step");
+      this.stepButton.UseVisualStyleBackColor = true;
+      //
+      // exampleComboBox
+      //
+      this.exampleComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.exampleComboBox.FormattingEnabled = true;
+      this.exampleComboBox.Location = new System.Drawing.Point(58, 6);
+      this.exampleComboBox.Name = "exampleComboBox";
+      this.exampleComboBox.Size = new System.Drawing.Size(1165, 21);
+      this.exampleComboBox.TabIndex = 11;
+      //
+      // label1
+      //
+      this.label1.AutoSize = true;
+      this.label1.Location = new System.Drawing.Point(3, 9);
+      this.label1.Name = "label1";
+      this.label1.Size = new System.Drawing.Size(50, 13);
+      this.label1.TabIndex = 10;
+      this.label1.Text = "Example:";
+      //
+      // debugTableLayout
+      //
+      this.debugTableLayout.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.debugTableLayout.AutoScroll = true;
+      this.debugTableLayout.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
+      this.debugTableLayout.ColumnCount = 9;
+      this.debugTableLayout.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 270F));
+      this.debugTableLayout.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 270F));
+      this.debugTableLayout.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
+      this.debugTableLayout.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
+      this.debugTableLayout.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
+      this.debugTableLayout.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
+      this.debugTableLayout.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
+      this.debugTableLayout.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
+      this.debugTableLayout.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
+      this.debugTableLayout.Controls.Add(this.codeGroupBox, 1, 0);
+      this.debugTableLayout.Controls.Add(this.nameGroupBox, 2, 0);
+      this.debugTableLayout.Controls.Add(this.integerGroupBox, 3, 0);
+      this.debugTableLayout.Controls.Add(this.floatGroupBox, 4, 0);
+      this.debugTableLayout.Controls.Add(this.execGroupBox, 0, 0);
+      this.debugTableLayout.Controls.Add(this.booleanGroupBox, 5, 0);
+      this.debugTableLayout.Controls.Add(this.stringGroupBox, 6, 0);
+      this.debugTableLayout.Controls.Add(this.charGroupBox, 7, 0);
+      this.debugTableLayout.Location = new System.Drawing.Point(6, 33);
+      this.debugTableLayout.Name = "debugTableLayout";
+      this.debugTableLayout.RowCount = 1;
+      this.debugTableLayout.RowStyles.Add(new System.Windows.Forms.RowStyle());
+      this.debugTableLayout.Size = new System.Drawing.Size(1259, 601);
+      this.debugTableLayout.TabIndex = 2;
+      //
+      // codeGroupBox
+      //
+      this.codeGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.codeGroupBox.Controls.Add(this.codeList);
+      this.codeGroupBox.Location = new System.Drawing.Point(273, 3);
+      this.codeGroupBox.Name = "codeGroupBox";
+      this.codeGroupBox.Size = new System.Drawing.Size(264, 595);
+      this.codeGroupBox.TabIndex = 5;
+      this.codeGroupBox.TabStop = false;
+      this.codeGroupBox.Text = "Code";
+      //
+      // codeList
+      //
+      this.codeList.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.codeList.FormattingEnabled = true;
+      this.codeList.HorizontalScrollbar = true;
+      this.codeList.Location = new System.Drawing.Point(7, 19);
+      this.codeList.Name = "codeList";
+      this.codeList.SelectionMode = System.Windows.Forms.SelectionMode.None;
+      this.codeList.Size = new System.Drawing.Size(251, 563);
+      this.codeList.TabIndex = 1;
+      //
+      // nameGroupBox
+      //
+      this.nameGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.nameGroupBox.Controls.Add(this.nameList);
+      this.nameGroupBox.Location = new System.Drawing.Point(543, 3);
+      this.nameGroupBox.Name = "nameGroupBox";
+      this.nameGroupBox.Size = new System.Drawing.Size(119, 595);
+      this.nameGroupBox.TabIndex = 5;
+      this.nameGroupBox.TabStop = false;
+      this.nameGroupBox.Text = "Name";
+      //
+      // nameList
+      //
+      this.nameList.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.nameList.FormattingEnabled = true;
+      this.nameList.HorizontalScrollbar = true;
+      this.nameList.Location = new System.Drawing.Point(6, 19);
+      this.nameList.Name = "nameList";
+      this.nameList.SelectionMode = System.Windows.Forms.SelectionMode.None;
+      this.nameList.Size = new System.Drawing.Size(107, 563);
+      this.nameList.TabIndex = 2;
+      //
+      // integerGroupBox
+      //
+      this.integerGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.integerGroupBox.Controls.Add(this.integerList);
+      this.integerGroupBox.Location = new System.Drawing.Point(668, 3);
+      this.integerGroupBox.Name = "integerGroupBox";
+      this.integerGroupBox.Size = new System.Drawing.Size(119, 595);
+      this.integerGroupBox.TabIndex = 4;
+      this.integerGroupBox.TabStop = false;
+      this.integerGroupBox.Text = "Integer";
+      //
+      // integerList
+      //
+      this.integerList.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.integerList.FormattingEnabled = true;
+      this.integerList.HorizontalScrollbar = true;
+      this.integerList.Location = new System.Drawing.Point(6, 19);
+      this.integerList.Name = "integerList";
+      this.integerList.SelectionMode = System.Windows.Forms.SelectionMode.None;
+      this.integerList.Size = new System.Drawing.Size(107, 563);
+      this.integerList.TabIndex = 3;
+      //
+      // floatGroupBox
+      //
+      this.floatGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.floatGroupBox.Controls.Add(this.groupBox2);
+      this.floatGroupBox.Controls.Add(this.floatList);
+      this.floatGroupBox.Location = new System.Drawing.Point(793, 3);
+      this.floatGroupBox.Name = "floatGroupBox";
+      this.floatGroupBox.Size = new System.Drawing.Size(119, 595);
+      this.floatGroupBox.TabIndex = 5;
+      this.floatGroupBox.TabStop = false;
+      this.floatGroupBox.Text = "Float";
+      //
+      // groupBox2
+      //
+      this.groupBox2.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.groupBox2.Controls.Add(this.listBox2);
+      this.groupBox2.Location = new System.Drawing.Point(1003, 3);
+      this.groupBox2.Name = "groupBox2";
+      this.groupBox2.Size = new System.Drawing.Size(253, 595);
+      this.groupBox2.TabIndex = 6;
+      this.groupBox2.TabStop = false;
+      this.groupBox2.Text = "Float";
+      //
+      // listBox2
+      //
+      this.listBox2.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.listBox2.FormattingEnabled = true;
+      this.listBox2.HorizontalScrollbar = true;
+      this.listBox2.Location = new System.Drawing.Point(6, 19);
+      this.listBox2.Name = "listBox2";
+      this.listBox2.SelectionMode = System.Windows.Forms.SelectionMode.None;
+      this.listBox2.Size = new System.Drawing.Size(107, 563);
+      this.listBox2.TabIndex = 4;
+      //
+      // floatList
+      //
+      this.floatList.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.floatList.FormattingEnabled = true;
+      this.floatList.HorizontalScrollbar = true;
+      this.floatList.Location = new System.Drawing.Point(6, 19);
+      this.floatList.Name = "floatList";
+      this.floatList.SelectionMode = System.Windows.Forms.SelectionMode.None;
+      this.floatList.Size = new System.Drawing.Size(107, 563);
+      this.floatList.TabIndex = 4;
+      //
+      // execGroupBox
+      //
+      this.execGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.execGroupBox.Controls.Add(this.execList);
+      this.execGroupBox.Location = new System.Drawing.Point(3, 3);
+      this.execGroupBox.Name = "execGroupBox";
+      this.execGroupBox.Size = new System.Drawing.Size(264, 595);
+      this.execGroupBox.TabIndex = 3;
+      this.execGroupBox.TabStop = false;
+      this.execGroupBox.Text = "Exec";
+      //
+      // execList
+      //
+      this.execList.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.execList.Location = new System.Drawing.Point(3, 16);
+      this.execList.Name = "execList";
+      this.execList.Size = new System.Drawing.Size(255, 571);
+      this.execList.TabIndex = 1;
+      this.execList.UseCompatibleStateImageBehavior = false;
+      this.execList.View = System.Windows.Forms.View.List;
+      this.execList.VirtualMode = true;
+      //
+      // booleanGroupBox
+      //
+      this.booleanGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.booleanGroupBox.Controls.Add(this.groupBox4);
+      this.booleanGroupBox.Controls.Add(this.booleanList);
+      this.booleanGroupBox.Location = new System.Drawing.Point(918, 3);
+      this.booleanGroupBox.Name = "booleanGroupBox";
+      this.booleanGroupBox.Size = new System.Drawing.Size(119, 595);
+      this.booleanGroupBox.TabIndex = 7;
+      this.booleanGroupBox.TabStop = false;
+      this.booleanGroupBox.Text = "Boolean";
+      //
+      // groupBox4
+      //
+      this.groupBox4.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.groupBox4.Controls.Add(this.listBox3);
+      this.groupBox4.Location = new System.Drawing.Point(1003, 3);
+      this.groupBox4.Name = "groupBox4";
+      this.groupBox4.Size = new System.Drawing.Size(253, 595);
+      this.groupBox4.TabIndex = 6;
+      this.groupBox4.TabStop = false;
+      this.groupBox4.Text = "Float";
+      //
+      // listBox3
+      //
+      this.listBox3.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.listBox3.FormattingEnabled = true;
+      this.listBox3.HorizontalScrollbar = true;
+      this.listBox3.Location = new System.Drawing.Point(6, 19);
+      this.listBox3.Name = "listBox3";
+      this.listBox3.SelectionMode = System.Windows.Forms.SelectionMode.None;
+      this.listBox3.Size = new System.Drawing.Size(107, 563);
+      this.listBox3.TabIndex = 4;
+      //
+      // booleanList
+      //
+      this.booleanList.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.booleanList.FormattingEnabled = true;
+      this.booleanList.HorizontalScrollbar = true;
+      this.booleanList.Location = new System.Drawing.Point(6, 19);
+      this.booleanList.Name = "booleanList";
+      this.booleanList.SelectionMode = System.Windows.Forms.SelectionMode.None;
+      this.booleanList.Size = new System.Drawing.Size(107, 563);
+      this.booleanList.TabIndex = 4;
+      //
+      // stringGroupBox
+      //
+      this.stringGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.stringGroupBox.Controls.Add(this.groupBox6);
+      this.stringGroupBox.Controls.Add(this.stringList);
+      this.stringGroupBox.Location = new System.Drawing.Point(1043, 3);
+      this.stringGroupBox.Name = "stringGroupBox";
+      this.stringGroupBox.Size = new System.Drawing.Size(120, 595);
+      this.stringGroupBox.TabIndex = 8;
+      this.stringGroupBox.TabStop = false;
+      this.stringGroupBox.Text = "String";
+      //
+      // groupBox6
+      //
+      this.groupBox6.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.groupBox6.Controls.Add(this.listBox5);
+      this.groupBox6.Location = new System.Drawing.Point(1003, 3);
+      this.groupBox6.Name = "groupBox6";
+      this.groupBox6.Size = new System.Drawing.Size(254, 595);
+      this.groupBox6.TabIndex = 6;
+      this.groupBox6.TabStop = false;
+      this.groupBox6.Text = "Float";
+      //
+      // listBox5
+      //
+      this.listBox5.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.listBox5.FormattingEnabled = true;
+      this.listBox5.HorizontalScrollbar = true;
+      this.listBox5.Location = new System.Drawing.Point(6, 19);
+      this.listBox5.Name = "listBox5";
+      this.listBox5.SelectionMode = System.Windows.Forms.SelectionMode.None;
+      this.listBox5.Size = new System.Drawing.Size(108, 563);
+      this.listBox5.TabIndex = 4;
+      //
+      // stringList
+      //
+      this.stringList.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.stringList.FormattingEnabled = true;
+      this.stringList.HorizontalScrollbar = true;
+      this.stringList.Location = new System.Drawing.Point(6, 19);
+      this.stringList.Name = "stringList";
+      this.stringList.SelectionMode = System.Windows.Forms.SelectionMode.None;
+      this.stringList.Size = new System.Drawing.Size(108, 563);
+      this.stringList.TabIndex = 4;
+      //
+      // charGroupBox
+      //
+      this.charGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.charGroupBox.Controls.Add(this.groupBox8);
+      this.charGroupBox.Controls.Add(this.charList);
+      this.charGroupBox.Location = new System.Drawing.Point(1169, 3);
+      this.charGroupBox.Name = "charGroupBox";
+      this.charGroupBox.Size = new System.Drawing.Size(119, 595);
+      this.charGroupBox.TabIndex = 9;
+      this.charGroupBox.TabStop = false;
+      this.charGroupBox.Text = "Char";
+      //
+      // groupBox8
+      //
+      this.groupBox8.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.groupBox8.Controls.Add(this.listBox7);
+      this.groupBox8.Location = new System.Drawing.Point(1003, 3);
+      this.groupBox8.Name = "groupBox8";
+      this.groupBox8.Size = new System.Drawing.Size(253, 595);
+      this.groupBox8.TabIndex = 6;
+      this.groupBox8.TabStop = false;
+      this.groupBox8.Text = "Float";
+      //
+      // listBox7
+      //
+      this.listBox7.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.listBox7.FormattingEnabled = true;
+      this.listBox7.HorizontalScrollbar = true;
+      this.listBox7.Location = new System.Drawing.Point(6, 19);
+      this.listBox7.Name = "listBox7";
+      this.listBox7.SelectionMode = System.Windows.Forms.SelectionMode.None;
+      this.listBox7.Size = new System.Drawing.Size(107, 563);
+      this.listBox7.TabIndex = 4;
+      //
+      // charList
+      //
+      this.charList.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.charList.FormattingEnabled = true;
+      this.charList.HorizontalScrollbar = true;
+      this.charList.Location = new System.Drawing.Point(6, 19);
+      this.charList.Name = "charList";
+      this.charList.SelectionMode = System.Windows.Forms.SelectionMode.None;
+      this.charList.Size = new System.Drawing.Size(107, 563);
+      this.charList.TabIndex = 4;
+      //
+      // tabPage2
+      //
+      this.tabPage2.Controls.Add(this.resultsDataGrid);
+      this.tabPage2.Location = new System.Drawing.Point(4, 22);
+      this.tabPage2.Name = "tabPage2";
+      this.tabPage2.Padding = new System.Windows.Forms.Padding(3);
+      this.tabPage2.Size = new System.Drawing.Size(1261, 672);
+      this.tabPage2.TabIndex = 1;
+      this.tabPage2.Text = "Results";
+      this.tabPage2.UseVisualStyleBackColor = true;
+      //
+      // resultsDataGrid
+      //
+      this.resultsDataGrid.AllowUserToAddRows = false;
+      this.resultsDataGrid.AllowUserToDeleteRows = false;
+      this.resultsDataGrid.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.resultsDataGrid.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.AutoSize;
+      this.resultsDataGrid.EditMode = System.Windows.Forms.DataGridViewEditMode.EditProgrammatically;
+      this.resultsDataGrid.Location = new System.Drawing.Point(7, 7);
+      this.resultsDataGrid.Name = "resultsDataGrid";
+      this.resultsDataGrid.ReadOnly = true;
+      this.resultsDataGrid.Size = new System.Drawing.Size(1248, 659);
+      this.resultsDataGrid.TabIndex = 0;
       //
       // PushProgramDebuggerView
@@ -342,34 +603,31 @@
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.Controls.Add(this.skipNoopsCheckBox);
-      this.Controls.Add(this.runButton);
-      this.Controls.Add(this.stepWidthBox);
-      this.Controls.Add(this.tableLayoutPanel1);
-      this.Controls.Add(this.exampleComboBox);
-      this.Controls.Add(this.label1);
-      this.Controls.Add(this.resetButton);
-      this.Controls.Add(this.stepButton);
+      this.Controls.Add(this.tabControl);
       this.Name = "PushProgramDebuggerView";
-      this.Size = new System.Drawing.Size(1058, 727);
-      this.Controls.SetChildIndex(this.stepButton, 0);
-      this.Controls.SetChildIndex(this.resetButton, 0);
-      this.Controls.SetChildIndex(this.label1, 0);
-      this.Controls.SetChildIndex(this.exampleComboBox, 0);
-      this.Controls.SetChildIndex(this.tableLayoutPanel1, 0);
+      this.Size = new System.Drawing.Size(1278, 727);
+      this.Controls.SetChildIndex(this.tabControl, 0);
       this.Controls.SetChildIndex(this.nameLabel, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
       this.Controls.SetChildIndex(this.infoLabel, 0);
-      this.Controls.SetChildIndex(this.stepWidthBox, 0);
-      this.Controls.SetChildIndex(this.runButton, 0);
-      this.Controls.SetChildIndex(this.skipNoopsCheckBox, 0);
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
-      this.execGroupBox.ResumeLayout(false);
+      this.tabControl.ResumeLayout(false);
+      this.tabPage1.ResumeLayout(false);
+      this.tabPage1.PerformLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.stepWidthBox)).EndInit();
+      this.debugTableLayout.ResumeLayout(false);
+      this.codeGroupBox.ResumeLayout(false);
+      this.nameGroupBox.ResumeLayout(false);
       this.integerGroupBox.ResumeLayout(false);
       this.floatGroupBox.ResumeLayout(false);
-      this.codeGroupBox.ResumeLayout(false);
+      this.groupBox2.ResumeLayout(false);
+      this.execGroupBox.ResumeLayout(false);
       this.booleanGroupBox.ResumeLayout(false);
-      this.nameGroupBox.ResumeLayout(false);
-      this.tableLayoutPanel1.ResumeLayout(false);
-      ((System.ComponentModel.ISupportInitialize)(this.stepWidthBox)).EndInit();
+      this.groupBox4.ResumeLayout(false);
+      this.stringGroupBox.ResumeLayout(false);
+      this.groupBox6.ResumeLayout(false);
+      this.charGroupBox.ResumeLayout(false);
+      this.groupBox8.ResumeLayout(false);
+      this.tabPage2.ResumeLayout(false);
+      ((System.ComponentModel.ISupportInitialize)(this.resultsDataGrid)).EndInit();
       this.ResumeLayout(false);
       this.PerformLayout();
@@ -379,24 +637,41 @@
     #endregion
 
+    private System.Windows.Forms.TabControl tabControl;
+    private System.Windows.Forms.TabPage tabPage1;
+    private System.Windows.Forms.CheckBox skipNoopsCheckBox;
+    private System.Windows.Forms.Button runButton;
+    private System.Windows.Forms.NumericUpDown stepWidthBox;
+    private System.Windows.Forms.Button resetButton;
+    private System.Windows.Forms.Button stepButton;
+    private System.Windows.Forms.ComboBox exampleComboBox;
+    private System.Windows.Forms.Label label1;
+    private System.Windows.Forms.TableLayoutPanel debugTableLayout;
+    private System.Windows.Forms.GroupBox codeGroupBox;
+    private System.Windows.Forms.ListBox codeList;
+    private System.Windows.Forms.GroupBox nameGroupBox;
+    private System.Windows.Forms.ListBox nameList;
+    private System.Windows.Forms.GroupBox integerGroupBox;
+    private System.Windows.Forms.ListBox integerList;
+    private System.Windows.Forms.GroupBox floatGroupBox;
+    private System.Windows.Forms.ListBox floatList;
     private System.Windows.Forms.GroupBox execGroupBox;
-    private System.Windows.Forms.GroupBox integerGroupBox;
-    private System.Windows.Forms.GroupBox floatGroupBox;
-    private System.Windows.Forms.GroupBox codeGroupBox;
+    private System.Windows.Forms.ListView execList;
+    private System.Windows.Forms.TabPage tabPage2;
+    private System.Windows.Forms.DataGridView resultsDataGrid;
+    private System.Windows.Forms.Button simplifyButton;
+    private System.Windows.Forms.GroupBox stringGroupBox;
+    private System.Windows.Forms.GroupBox groupBox6;
+    private System.Windows.Forms.ListBox listBox5;
+    private System.Windows.Forms.ListBox stringList;
     private System.Windows.Forms.GroupBox booleanGroupBox;
-    private System.Windows.Forms.GroupBox nameGroupBox;
-    private System.Windows.Forms.ListBox integerList;
-    private System.Windows.Forms.ListBox floatList;
-    private System.Windows.Forms.ListBox codeList;
+    private System.Windows.Forms.GroupBox groupBox4;
+    private System.Windows.Forms.ListBox listBox3;
     private System.Windows.Forms.ListBox booleanList;
-    private System.Windows.Forms.ListBox nameList;
-    private System.Windows.Forms.Button stepButton;
-    private System.Windows.Forms.Button resetButton;
-    private System.Windows.Forms.Label label1;
-    private System.Windows.Forms.ComboBox exampleComboBox;
-    private System.Windows.Forms.TableLayoutPanel tableLayoutPanel1;
-    private System.Windows.Forms.NumericUpDown stepWidthBox;
-    private System.Windows.Forms.Button runButton;
-    private System.Windows.Forms.CheckBox skipNoopsCheckBox;
-    private System.Windows.Forms.ListView execList;
+    private System.Windows.Forms.GroupBox groupBox2;
+    private System.Windows.Forms.ListBox listBox2;
+    private System.Windows.Forms.GroupBox charGroupBox;
+    private System.Windows.Forms.GroupBox groupBox8;
+    private System.Windows.Forms.ListBox listBox7;
+    private System.Windows.Forms.ListBox charList;
   }
 }
